package com.neusoft.smart.pos.inventory.persistent.mapper;

import com.neusoft.smart.pos.inventory.persistent.domain.inventoryGoodsThirdpartyExtend;
import com.neusoft.smart.pos.inventory.persistent.domain.inventoryGoodsThirdpartyExtendExample;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface inventoryGoodsThirdpartyExtendMapper {
    
    int countByExample(inventoryGoodsThirdpartyExtendExample example);
    
    int deleteByExample(inventoryGoodsThirdpartyExtendExample example);
    
    int deleteByPrimaryKey(Integer id);
    
    int insert(inventoryGoodsThirdpartyExtend record);
    
    int insertSelective(inventoryGoodsThirdpartyExtend record);
    
    List<inventoryGoodsThirdpartyExtend> selectByExampleWithBLOBs(inventoryGoodsThirdpartyExtendExample example);
    
    List<inventoryGoodsThirdpartyExtend> selectByExample(inventoryGoodsThirdpartyExtendExample example);
    
    inventoryGoodsThirdpartyExtend selectByPrimaryKey(Integer id);
    
    int updateByExampleSelective(@Param("record") inventoryGoodsThirdpartyExtend record, @Param("example") inventoryGoodsThirdpartyExtendExample example);
    
    int updateByExampleWithBLOBs(@Param("record") inventoryGoodsThirdpartyExtend record, @Param("example") inventoryGoodsThirdpartyExtendExample example);
    
    int updateByExample(@Param("record") inventoryGoodsThirdpartyExtend record, @Param("example") inventoryGoodsThirdpartyExtendExample example);
    
    int updateByPrimaryKeySelective(inventoryGoodsThirdpartyExtend record);
    
    int updateByPrimaryKeyWithBLOBs(inventoryGoodsThirdpartyExtend record);
    
    int updateByPrimaryKey(inventoryGoodsThirdpartyExtend record);
    
    void batchInsert(@Param("items") List<inventoryGoodsThirdpartyExtend> items);
}